'----------------------------------------------------------------------
'                                           USING LIST BOXES

'                                                    STEP 3 

'This shows how to allow multiple selections from one LB to another.
'Make sure to set the selectionmode property of the first LB to MultiExtended
'-----------------------------------------------------------------------

'Updated 7/18/06 to VB 2005

Option Explicit On

Public Class Step3

    Private Sub Step3_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lstItems.Items.Add("Spark plugs")
        lstItems.Items.Add("Battery")
        lstItems.Items.Add("Coolant")
        lstItems.Items.Add("Wiper Blades")
        lstItems.Items.Add("Hand Cleaner")
        lstItems.Items.Add("Alternator Belt")
        lstItems.Items.Add("Radiator Hose")
    End Sub

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click

        '---now cycle through the selected items and send them to the other list box. SelectedItems is created for us
        'when the program runs by the listbox itself...it keeps track of what they chose. Then all we have to do is to read
        'through that list and do something with them. This SelectedItems Collection is only available to us at run-time. Not design time.

        Dim x As Integer      'loop control variable and is also used to identify each index# of the selected items.

        For x = 0 To lstItems.SelectedItems.Count - 1   'the count property is always 1 number larger than the index# of the last item!

            lstPurchased.Items.Add(lstItems.SelectedItems(x))

        Next
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        lstPurchased.Items.Clear()
    End Sub

    Private Sub btnQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnQuit.Click
        Me.Close()
    End Sub
End Class